Bug 16692 - Error "No method update!" when creating new serial issue
Summary: Error "No method update!" when creating new serial issue
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 12375
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-08 10:25 UTC by Kyle M Hall
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16692 - Error "No method update!" when creating new serial issue (938 bytes, patch)
2016-06-08 10:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16692 - Error "No method update!" when creating new serial issue (998 bytes, patch)
2016-06-08 10:36 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
Bug 16692 - Error "No method update!" when creating new serial issue (1.04 KB, patch)
2016-06-08 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-06-08 10:25:04 UTC
An improper method call was left over in C4::Serials::NewIssue from the switch from DBIx::Class to Koha::Object.

Test Plan:
1) prove t/db_dependent/Serials.t
2) Note the errors
3) Apply this patch
4) prove t/db_dependent/Serials.t
5) No errors!
Comment 1 Kyle M Hall 2016-06-08 10:25:45 UTC Comment hidden (obsolete)
Comment 2 Jacek Ablewicz 2016-06-08 10:36:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-08 14:09:08 UTC
Created attachment 52187 [details] [review]
Bug 16692 - Error "No method update!" when creating new serial issue

An improper method call was left over in C4::Serials::NewIssue from the
switch from DBIx::Class to Koha::Object.

Test Plan:
1) prove t/db_dependent/Serials.t
2) Note the errors
3) Apply this patch
4) prove t/db_dependent/Serials.t
5) No errors!

Signed-off-by: Jacek Ablewicz <abl@biblos.pk.edu.pl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-17 14:37:25 UTC
Pushed to master for 16.11!
Comment 5 Frédéric Demians 2016-06-24 05:45:05 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-07-01 06:47:17 UTC
Not needed in 3.22.x